package de.ivu.elect.presentation.email.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.email.EmailVorlageCreateView;

public class EmailVorlageCreateMenuItemEntry extends AbstractEmailVorlageMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public EmailVorlageCreateMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.EMAIL_VORLAGE_CREATE;
  }

  @Override
  public String getTargetViewId() {
    return EmailVorlageCreateView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getEinzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.create.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCreate();
  }
}
